## moosic 1.5.0

=== Makefile ===
# Change this value to install this program's files into another directory.
INSTALL_PREFIX=/usr/local


# This makefile is used for "squeezing" the components of the "moosic" and
# "moosicd" programs into single files, and for converting the POD documents for
# Moosic into the manpage format. This requires GNU make, the "install" utility
# program, python, and the pod2man and pod2html utilities (the latter two are
# usually included with Perl).


VERSION=1.5.0
PROGRAMS=moosicd moosic
DOCS=README License ChangeLog NEWS Todo History Moosic_API.txt README.developers
MANPAGES_1:=$(PROGRAMS:=.1)
MANPAGES_3:=Moosic_API.3
PUBLIC_MODULES:=moosic_factory.py utilities.py
HTMLDOCS:=$(PROGRAMS:=.html) $(PUBLIC_MODULES:.py=.html) Moosic_API.html
PYTHON=python

.PHONY: all
all: $(PROGRAMS) $(DOCS) $(MANPAGES_1) $(MANPAGES_3) $(HTMLDOCS)
	-

.PHONY: docs
docs: $(DOCS) $(MANPAGES_1) $(MANPAGES_3) $(HTMLDOCS)
	-

moosic: moosic_main.py utilities.py moosic_factory.py moosic_dispatcher.py
	$(PYTHON) squeezeTool -1v -o $@ -b moosic_main $+
	mv -f $@.py $@
	chmod 755 $@

moosicd: moosicd_main.py moosicd_methods.py moosicd_support.py xmlrpc_registry.py utilities.py moosic_factory.py daemonize.py
	$(PYTHON) squeezeTool -1v -o $@ -b moosicd_main $+
	mv -f $@.py $@
	chmod 755 $@

#moosh: moosh_main.py moosh_support.py moosic_factory.py moosic_dispatcher.py
#	$(PYTHON) squeezeTool -1v -o $@ -b moosh_main $+
#	mv -f $@.py $@
#	chmod 755 $@
#
#moosic_proxy: moosic_proxy.py moosic_factory.py
#	$(PYTHON) squeezeTool -1v -o $@_squeeze -b moosic_proxy $+
#	mv -f $@_squeeze.py $@
#	chmod 755 $@

Moosic_API.pod: Moosic_API.intro.pod Moosic_API.s0.pod Moosic_API.s1.pod Moosic_API.s2.pod Moosic_API.s3.pod Moosic_API.s4.pod Moosic_API.s5.pod Moosic_API.s6.pod
	cat $^ > $@

%.txt: %.pod
	pod2text -l $< $@

%.1: %.pod
	pod2man --section 1 --release "Moosic ${VERSION}" --center "" $< $@

%.3: %.pod
	pod2man --section 3 --release "Moosic ${VERSION}" --center "" $< $@

%.html: %.pod
	pod2html --podpath=. --htmlroot=. --infile=$< --outfile=$@
	rm -f pod2htm*

%.html: %.py
	pydoc -w $*

.PHONY: install
install: all
	install -d $(INSTALL_PREFIX)
	install -d $(INSTALL_PREFIX)/bin
	install -m 755 $(PROGRAMS) $(INSTALL_PREFIX)/bin/
	install -d $(INSTALL_PREFIX)/share/man/man1
	install -m 644 $(MANPAGES_1) $(INSTALL_PREFIX)/share/man/man1/
	install -d $(INSTALL_PREFIX)/share/man/man3
	install -m 644 $(MANPAGES_3) $(INSTALL_PREFIX)/share/man/man3/
	install -d $(INSTALL_PREFIX)/share/doc/moosic
	install -m 644 $(DOCS) $(INSTALL_PREFIX)/share/doc/moosic/
	install -m 644 $(PUBLIC_MODULES) $(INSTALL_PREFIX)/share/doc/moosic/
	install -d $(INSTALL_PREFIX)/share/doc/moosic/html
	install -m 644 $(HTMLDOCS) $(INSTALL_PREFIX)/share/doc/moosic/html/

.PHONY: clean
clean:
	rm -f $(PROGRAMS) *.pyc

.PHONY: cleandocs
cleandocs:
	rm -f $(MANPAGES_1) $(MANPAGES_3) $(HTMLDOCS)

## moosic 1.5.1

=== doc/Makefile ===
# This makefile is used for converting the POD documents for Moosic into various
# output formats, such as the manpage format. This requires GNU make, the
# "install" utility program, python, and the pod2man and pod2html utilities (the
# latter two are usually included with Perl).

VERSION=1.5.1
PROGRAMS=moosic moosicd
STATIC_DOCS=../README.txt ../License.txt ../ChangeLog ../NEWS \
    Todo History Moosic_API.txt moosic_hackers.txt
MANPAGES_1:=$(PROGRAMS:=.1)
MANPAGES_3:=Moosic_API.3
HTMLDOCS:=$(PROGRAMS:=.html) Moosic_API.html

.PHONY: all
all: $(MANPAGES_1) $(MANPAGES_3) $(HTMLDOCS)
	-

Moosic_API.pod: Moosic_API.intro.pod Moosic_API.sect0.pod Moosic_API.sect1.pod Moosic_API.sect2.pod Moosic_API.sect3.pod Moosic_API.sect4.pod Moosic_API.sect5.pod Moosic_API.sect6.pod
	cat $^ > $@

%.txt: %.pod
	pod2text -l $< $@

%.1: %.pod
	pod2man --section 1 --release "Moosic ${VERSION}" --center "" $< $@

%.3: %.pod
	pod2man --section 3 --release "Moosic ${VERSION}" --center "" $< $@

%.html: %.pod
	pod2html --podpath=. --htmlroot=. --infile=$< --outfile=$@
	rm -f pod2htm*

#.PHONY: install
#install: all
#	install -d $(INSTALL_PREFIX)
#	install -d $(INSTALL_PREFIX)/share/man/man1
#	install -m 644 $(MANPAGES_1) $(INSTALL_PREFIX)/share/man/man1/
#	install -d $(INSTALL_PREFIX)/share/man/man3
#	install -m 644 $(MANPAGES_3) $(INSTALL_PREFIX)/share/man/man3/
#	install -d $(INSTALL_PREFIX)/share/doc/moosic
#	install -m 644 $(STATIC_DOCS) $(PYTHON_MODULES) $(INSTALL_PREFIX)/share/doc/moosic/
#	install -d $(INSTALL_PREFIX)/share/doc/moosic/html
#	install -m 644 $(HTMLDOCS) $(INSTALL_PREFIX)/share/doc/moosic/html/

.PHONY: clean
clean:
	rm -f $(MANPAGES_1) $(MANPAGES_3) $(HTMLDOCS)

## moosic 1.5.2

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # "install" utility program, python, and the pod2man and pod2html utilities (the
 # latter two are usually included with Perl).
 
-VERSION=1.5.1
+VERSION=1.5.2
 PROGRAMS=moosic moosicd
 STATIC_DOCS=../README.txt ../License.txt ../ChangeLog ../NEWS \
     Todo History Moosic_API.txt moosic_hackers.txt

## moosic 1.5.4

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # "install" utility program, python, and the pod2man and pod2html utilities (the
 # latter two are usually included with Perl).
 
-VERSION=1.5.2
+VERSION=1.5.4
 PROGRAMS=moosic moosicd
 STATIC_DOCS=../README.txt ../License.txt ../ChangeLog ../NEWS \
     Todo History Moosic_API.txt moosic_hackers.txt

=== debian/changelog ===
moosic (1.5.4-7) unstable; urgency=low

  * Transition to dh_python2
  * Transition to debhelper 8
  * Update Standards-Version from 3.8.4 to 3.9.2.0, no changes
  * Refresh patch 0001 to match the way current gbp-pq generates it
  * Apply patch from Omari Norman to fix race condition in the wipe
    command (Closes: #630407)
  * Apply patch from Omari Norman to respect the ignore-case option
    in the goto and gobackto commands (Closes: #630408)
  * Remove extra copy of the bash completion file from debian/
  * Do not install the bash completion file as an example

 -- Arto Jantunen <viiru@debian.org>  Tue, 14 Jun 2011 21:25:51 +0300

moosic (1.5.4-6) unstable; urgency=low

  * Build-depend on python instead of python-dev, thanks lintian
  * Updated Standars-Version to 3.8.4, no changes
  * Convert to source forma 3.0 (quilt)
  * Add patch to remove some unneeded imports, avoids warning from
    Python 2.6 and also fixes LP: #368868

 -- Arto Jantunen <viiru@debian.org>  Thu, 27 May 2010 21:09:56 +0300

moosic (1.5.4-5) unstable; urgency=low

  * The "Bah" release
  * Updated Standards-Version to 3.8.0
  * Build-depend on debhelper (>= 7.0.50) for dh overrides

 -- Arto Jantunen <viiru@debian.org>  Fri, 09 Oct 2009 18:42:54 +0300

moosic (1.5.4-4) unstable; urgency=low

  * The "Has it been two years already?" release
  * Updated Standards-Version from 3.7.2.2 to 3.8.2.0, incredibly no
    changes
  * Updated to debhelper 7, and the dh-tool.
  * Updated copyright-file and added ${misc:Depends} to clear some 
    lintian warnings
  * Added rules to work around the fact that the upstream tarball 
    includes generated documentation.
  * Added watch file

 -- Arto Jantunen <viiru@debian.org>  Wed, 29 Jul 2009 14:41:38 +0300

moosic (1.5.4-3) unstable; urgency=low

  * Moved to python-support, modified control and rules to fit, 
    removed pycompat and pyversions (Closes: #445400).

 -- Arto Jantunen <viiru@debian.org>  Sat, 27 Oct 2007 12:20:22 +0300

moosic (1.5.4-2) unstable; urgency=low

  * Changed XS-Python-Version to all (Closes: #445400).
  * Updated Standards-Version to 3.7.2.2, no changes.

 -- Arto Jantunen <viiru@debian.org>  Thu, 25 Oct 2007 18:45:01 +0300

moosic (1.5.4-1) unstable; urgency=low

  * New upstream version (Finally, I'm too busy these days)
  * Removed the DBS-stuff, using a normal build system again

 -- Arto Jantunen <viiru@debian.org>  Sat, 14 Jul 2007 15:49:23 +0300

moosic (1.5.2-2) unstable; urgency=low

  * Changed to support the new python policy (Closes: #380877)
  * Updated Standards-Version to 3.7.2.0, no changes.

 -- Arto Jantunen <viiru@debian.org>  Sat, 12 Aug 2006 19:46:48 +0300

moosic (1.5.2-1) unstable; urgency=low

  * New upstream release (Closes: #325519)

 -- Arto Jantunen <viiru@debian.org>  Wed, 31 Aug 2005 17:36:53 +0300

moosic (1.5.1-1) unstable; urgency=low
  
  * The "Finally!" release
  * New upstream release (Closes: #261335)
  * Now uses distutils, packaging adapted (Closes: #247651)

 -- Arto Jantunen <viiru@debian.org>  Wed, 27 Oct 2004 19:29:17 +0300

moosic (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Changed to use the bash completion provided in the upstream
    source

 -- Arto Jantunen <viiru@debian.org>  Tue,  6 Apr 2004 19:41:12 +0300

moosic (1.4.10-1) unstable; urgency=low

  * The "I'm back" release
  * I'm taking moosic back (Closes: #200977)
  * New upstream release
  * Changed to use DBS

 -- Arto Jantunen <viiru@debian.org>  Tue, 16 Dec 2003 20:25:34 +0200

moosic (1.4.6-2.1) unstable; urgency=low

  * NMU.
  * Fix FTBFS (closes: #213935).

 -- Matthias Klose <doko@debian.org>  Sun, 16 Nov 2003 15:09:05 +0100

moosic (1.4.6-2) unstable; urgency=low

  * Uploading with maintainer set to QA group
  * debian/rules: modified to python2.3 (fixes: #213935)

 -- Andrew Pollock <apollock@debian.org>  Tue, 11 Nov 2003 21:52:23 +1100

moosic (1.4.6-1) unstable; urgency=low

  * New upstream release
  * Changed maintainer to Debian QA Group <packages@qa.debian.org>
    and finally properly orphaned the package
  * Made moosic use python2.2 (Closes: Bug#206614)

 -- Arto Jantunen <viiru@debian.org>  Mon,  1 Sep 2003 00:52:27 +0300

moosic (1.4.4-1) unstable; urgency=medium

  * The "this is what you get from uploading in a hurry"-release
  * New upstream release, which apparently includes my buggy 
    debian dir in the upstream source. Nice..
  * Added build dependency on python (Closes: 194994)
  * The bash_completion is there now (Closes: 184633)
  * Corrected the dependencies by using dh_python
  * Slightly patched Moosic_API.pod to make the manpage a proper
    manpage
  * Steve, you'll need to wait for the next upload to get your
    modules, sorry.

 -- Arto Jantunen <viiru@debian.org>  Mon,  9 Jun 2003 18:36:18 +0300

moosic (1.4.3-1) unstable; urgency=low

  * New upstream release
  * Changed debian/rules to use the upstream build system
  * Included bash_completion by Etienne PIERRE <marluchon@netcourrier.com>

 -- Arto Jantunen <viiru@debian.org>  Wed, 21 May 2003 20:30:00 +0300

moosic (1.4-1) unstable; urgency=low

  * New upstream release

 -- Arto Jantunen <viiru@debian.org>  Thu,  1 May 2003 15:27:59 +0300

moosic (1.3.2-1) unstable; urgency=low

  * New upstream release
  * Updated to use debian/compat, set to 4

 -- Arto Jantunen <viiru@debian.org>  Sun,  9 Mar 2003 16:46:52 +0200

moosic (1.3-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version to 3.5.8.0
  * Changed dependency on python to reflect upstream changes
  * Updated the copyright file to have current upstream email 
    address and download location.

 -- Arto Jantunen <viiru@debian.org>  Thu, 12 Dec 2002 18:48:54 +0200

moosic (1.2.7-1) unstable; urgency=low

  * New upstream release

 -- Arto Jantunen <viiru@debian.org>  Tue, 21 May 2002 22:13:21 +0300

moosic (1.2.6-1) unstable; urgency=low

  * New upstream release
  * Upstream added manpages (closes: #139396)


=== debian/control ===
Source: moosic
Section: sound
Priority: optional
Maintainer: Arto Jantunen <viiru@debian.org>
Build-Depends: debhelper (>= 8.0.0), python (>= 2.6.6-3)
Standards-Version: 3.9.2.0
X-Python-Version: >= 2.4

Package: moosic
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: mpg321
Suggests: timidity, vorbis-tools, mikmod, sox
Description: Daemon/client combo to easily queue music files for playing
 Moosic is a music player that focuses on easy playlist management. It consists
 of a server process that maintains a queue of music files to play and a client
 program which sends commands to the server. The server continually runs through
 its playlist, popping items off the top of the list and playing each with an
 external program. The client is a simple command-line utility which allows you
 to perform powerful operations upon the server's queue, including the addition
 of whole directory trees, automatic shuffling, and item removal according to
 regular expressions. The server comes configured to play MP3, Ogg, MIDI, MOD,
 and WAV files.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	mkdir doc/bak
	cd doc && mv moosic.1 moosicd.1 Moosic_API.3 moosic.html moosicd.html Moosic_API.html bak/
	cd doc && make
	dh_auto_build

override_dh_auto_install:
	dh_auto_install
	install -m 644 examples/completion debian/moosic/etc/bash_completion.d/moosic
	rm -f debian/moosic/usr/share/doc/moosic/License.txt
	rm -f debian/moosic/usr/share/doc/moosic/ChangeLog
	rm -f debina/moosic/usr/share/doc/examples/completion

override_dh_auto_clean:
	-mv doc/bak/* doc/
	-rmdir doc/bak
	dh_auto_clean

%:
	dh $@ --with python2

## moosic 1.5.5

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # "install" utility program, python, and the pod2man and pod2html utilities (the
 # latter two are usually included with Perl).
 
-VERSION=1.5.4
+VERSION=1.5.5
 PROGRAMS=moosic moosicd
 STATIC_DOCS=../README.txt ../License.txt ../ChangeLog ../NEWS \
     Todo History Moosic_API.txt moosic_hackers.txt

=== debian/changelog ===
moosic (1.5.5-3) unstable; urgency=low

  * Add patch to use subprocess.PIPE instead of PIPE in dispatcher.py
    (Closes: #640113)

 -- Arto Jantunen <viiru@debian.org>  Thu, 22 Sep 2011 18:52:00 +0300

moosic (1.5.5-2) unstable; urgency=high

  * Urgency=high to speed up testing migration, 1.5.5-1 does not work 
    at all
  * Require Python 2.7 to deal with incompatible changes to xmlrpclib
    (Closes: #639091)
  * Fix typo in debian/rules (the bash completion file was getting 
    installed as an example)
  * Apparently current debhelper thinks that doc/History.txt is more 
    likely to be the upstream changelog than ChangeLog, override it

 -- Arto Jantunen <viiru@debian.org>  Wed, 24 Aug 2011 11:14:04 +0300

moosic (1.5.5-1) unstable; urgency=low

  * New upstream version 1.5.5
  * Remove patch 0001, applied upstream

 -- Arto Jantunen <viiru@debian.org>  Thu, 04 Aug 2011 00:15:45 +0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: sound
 Priority: optional
 Maintainer: Arto Jantunen <viiru@debian.org>
-Build-Depends: debhelper (>= 8.0.0), python (>= 2.6.6-3)
+Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3)
 Standards-Version: 3.9.2.0
-X-Python-Version: >= 2.4
+X-Python-Version: >= 2.7
 
 Package: moosic
 Architecture: all

## moosic 1.5.6

=== doc/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # "install" utility program, python, and the pod2man and pod2html utilities (the
 # latter two are usually included with Perl).
 
-VERSION=1.5.5
+VERSION=1.5.6
 PROGRAMS=moosic moosicd
 STATIC_DOCS=../README.txt ../License.txt ../ChangeLog ../NEWS \
     Todo History Moosic_API.txt moosic_hackers.txt

=== debian/changelog ===
moosic (1.5.6-1) unstable; urgency=low

  * New upstream version 1.5.6
  * Remove all patches (applied upstream)
  * Update debian/copyright for the upstream license change (GPL ->
    Unlicense)
  * Upstream has fixed the compatibility problems, reduce required
    Python version back to 2.4

 -- Arto Jantunen <viiru@debian.org>  Sun, 06 Nov 2011 14:57:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,15 @@
 	install -m 644 examples/completion debian/moosic/etc/bash_completion.d/moosic
 	rm -f debian/moosic/usr/share/doc/moosic/License.txt
 	rm -f debian/moosic/usr/share/doc/moosic/ChangeLog
-	rm -f debina/moosic/usr/share/doc/examples/completion
+	rm -f debian/moosic/usr/share/doc/moosic/examples/completion
 
 override_dh_auto_clean:
 	-mv doc/bak/* doc/
 	-rmdir doc/bak
 	dh_auto_clean
 
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog
+
 %:
 	dh $@ --with python2

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/[-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*)$//i,pasv \
http://www.nanoo.org/~daniel/moosic (?:.*/)?moosic-?_?([\d+\.]+|\d+)\.(tar.*|tgz|zip|gz|bz2|) debian uupdate
